Re: [ros-users] deprecate warning caused by using PCL

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

Re: [ros-users] deprecate warning caused by using PCL

Radu B. Rusu
Administrator
Emma,

This is fixed in trunk. We're getting ready for a new release soon, so the warning will go away once it's out and you
update.

For now you can either fix it yourself, or switch to the trunk of perception_pcl  :)

Cheers,
Radu.
--
http://pointclouds.org

On 01/25/2011 03:12 PM, Emma Zhang Li wrote:

> Hi all,
>
> I'm using the unstable version of ROS. And I included
> /opt/ros/unstable/stacks/perception_pcl/pcl/include/pcl/ros/conversions.h to my own package because I need to use
> fromROSMsg(). The compiler gives a lot of warning about a deprecated header
> as   /opt/ros/unstable/stacks/ros_comm/messages/std_msgs/include/roslib/Header.h.
>
>
> Is there anyway to avoid it?
>
> Thanks!
>
> Emma
>
>
>
> _______________________________________________
> ros-users mailing list
> [hidden email]
> https://code.ros.org/mailman/listinfo/ros-users
_______________________________________________
[hidden email] / http://pointclouds.org
https://code.ros.org/mailman/listinfo/pcl-users